<?php
class KmlNodeMigration extends Migration {
  public function __construct($arguments) {
    ini_set('auto_detect_line_endings', TRUE);
    parent::__construct($arguments);
     $columns = array(
      0 => array('id', 'id'),
      1 => array('field_secc', 'field_secc'),
      2 => array('field_distrito', 'field_distrito'),
      3 => array('title', 'title'),
      4 => array('field_cantidad_fiscales_requerido', 'field_cantidad_fiscales_requerido'),
      5 => array('field_latitude', 'field_latitude'),
      6 => array('field_longitud', 'field_longitud'),
      8 => array('field_dep', 'field_dep'),
      9 => array('field_prov', 'field_prov'),
      10 => array('field_codigo', 'field_codigo'),
      11 => array('field_kml_geofield', 'field_kml_geofield'),
    );
    $this->source = new MigrateSourceCSV('/sites/default/files/secciones-kml2.csv', $columns);
    $this->destination = new MigrateDestinationNode('secciones');
    $this->map = new MigrateSQLMap($this->machineName,
        array(
          'id' => array('type' => 'int',
                          'unsigned' => TRUE,
                          'not null' => TRUE,
                         )
        ),
        MigrateDestinationNode::getKeySchema()
      );
    $this->addFieldMapping('title', 'title');
    $this->addFieldMapping('field_secc','field_secc');
    $this->addFieldMapping('field_distrito', 'field_distrito');
    $this->addFieldMapping('field_cantidad_fiscales_requerido', 'field_cantidad_fiscales_requerido');
    $this->addFieldMapping('field_dep', 'field_dep');
    $this->addFieldMapping('field_prov','field_prov');
    $this->addFieldMapping('field_kkk', 'field_kml_geofield');
    $this->addFieldMapping('field_latitude:lat','field_latitude');
    $this->addFieldMapping('field_longitud:long', 'field_longitud');
    $this->addFieldMapping('field_codigo', 'field_codigo');
  }
}

